VisualEditor: Duplicating references groups
Closed, ResolvedPublic

Assigned To
None
Priority
Needs Triage
Author
Elitre
Subscribers
Neil_P._Quinn_WMF, Krenair, Jdforrester-WMF and 3 others
Projects
Reference
bz54265
Security
None
Description

See
https://en.wikipedia.org/w/index.php?title=Fizeau_experiment&diff=573001070&oldid=572299847 - the user corrected a typo and this resulted in the references groups getting duplicated.
Reproduced in
https://en.wikipedia.org/w/index.php?title=User:Elitre_(WMF)/Sandbox&diff=prev&oldid=573341379 and https://en.wikipedia.org/w/index.php?title=User:Elitre_(WMF)/Sandbox&diff=next&oldid=573340833 while just testing wikilinks, as you can see. My first attempt to reproduce this actually resulted in more weird (although known, I think) behaviour: https://en.wikipedia.org/w/index.php?title=User:Elitre_(WMF)/Sandbox&diff=prev&oldid=573176079 .
Thanks.


Version: unspecified
Severity: normal

bzimport added a project: VisualEditor.Via ConduitNov 22 2014, 1:57 AM
bzimport set Reference to bz54265.
Elitre created this task.Via LegacySep 18 2013, 10:28 AM
Krenair added a subscriber: Krenair.Via WebJan 22 2015, 1:02 AM

I wonder if this is still valid.

I've tried to reproduce this using @Elitre's testcases, but couldn't; I'm tentatively closing as fixed.

Neil_P._Quinn_WMF closed this task as "Resolved".Via WebThu, Apr 16, 10:38 PM
Neil_P._Quinn_WMF set Security to None.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.